# Interface ELContextListener

All Superinterfaces:
  `EventListener`

public interface ELContextListener extends EventListener
Listener interface for EL context lifecycle events. Implementations are notified when an `ELContext` is created or released, allowing them to perform initialization or cleanup operations on the context.

Since:
  EL 2.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `contextCreated(ELContextEvent event)`
  Notification that an EL context has been created.

- ## Method Details

  - ### contextCreated

    void contextCreated(ELContextEvent event)
    Notification that an EL context has been created. Implementations can use this callback to register resources, resolvers, or other objects with the newly created context.
    Parameters:
      `event` - the event containing the ELContext that was created